Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Interface ITextQuery

    public interface ITextQuery

This interface is used to query the free text within the binary content. Binary content exists in the binary property in a CM node.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`ITextQueryParameter` | `buildEquals(String criteria)` match the exact value
`ITextQueryParameter` | `buildEquals(String[] criteria)` match any one of the list of values
`ITextQueryParameter` | `buildRelatedTo(String criteria)` Used for conceptual matching
`ITextQueryParameter` | `buildRelatedToAll(String[] criteria)` Used for conceptual matching of all values in a list
`ITextQueryParameter` | `buildSimilarTo(String criteria)` Used for "similar", possibly misspelled text
`ITextQueryParameter` | `buildSoundsLike(String criteria)` Used for soundex search.

Method Detail

### buildEquals

    ITextQueryParameter buildEquals(String criteria)
                                    throws InvalidQueryException

  match the exact value

  Parameters
    `criteria` -
  Returns
  Throws
    `InvalidQueryException`

### buildEquals

    ITextQueryParameter buildEquals(String[] criteria)
                                    throws InvalidQueryException

  match any one of the list of values

  Parameters
    `criteria` -
  Returns
  Throws
    `InvalidQueryException`

### buildSoundsLike

    ITextQueryParameter buildSoundsLike(String criteria)
                                        throws InvalidQueryException

  Used for soundex search. Soundex keyword search returns results that contain the keyword and phonetically similar keywords.

  Parameters
    `criteria` - The keyword
  Returns
  Throws
    `InvalidQueryException`

### buildSimilarTo

    ITextQueryParameter buildSimilarTo(String criteria)
                                       throws InvalidQueryException

  Used for "similar", possibly misspelled text

  Parameters
    `criteria` -
  Returns
  Throws
    `InvalidQueryException`

### buildRelatedTo

    ITextQueryParameter buildRelatedTo(String criteria)
                                       throws InvalidQueryException

  Used for conceptual matching

  Parameters
    `criteria` -
  Returns
  Throws
    `InvalidQueryException`

### buildRelatedToAll

    ITextQueryParameter buildRelatedToAll(String[] criteria)
                                          throws InvalidQueryException

  Used for conceptual matching of all values in a list

  Parameters
    `criteria` - list of values for conceptual matching
  Returns
  Throws
    `InvalidQueryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved